ATA_DEV_CLASSIFY(9)

NAME
ata_dev_classify - determine device type based on ATA-spec signature

SYNOPSIS

unsigned int ata_dev_classify (const struct ata_taskfile * tf);

ARGUMENTS

tf  ATA taskfile register set for device to be identified

DESCRIPTION

Determine from taskfile register contents whether a device is ATA or ATAPI, as per ``Signature and persistence'' section of ATA/PI spec (volume 1, sect 5.14).

LOCKING

None.

RETURNS

Device type, ATA_DEV_ATA, ATA_DEV_ATAPI, or ATA_DEV_UNKNOWN the event of failure.

AUTHOR
Jeff Garzik.